Deleted blueprint generates error

I deleted a blueprint and it generates this error.

How do I get rid of it?
In my “(See /config/configuration.yaml, line 14).” I only have this line as referred to below:

light: !include lights.yaml
Logger: homeassistant.config
Source: components/blueprint/models.py:211
First occurred: 8:12:07 (1 occurrences)
Last logged: 8:12:07

Invalid config for [automation]: Failed to load blueprint: Unable to find Savjee/deconz-xiaomi-mijia-wireless-switch.yaml (See /config/configuration.yaml, line 14).
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/blueprint/models.py", line 209, in _load_blueprint
    blueprint_data = yaml.load_yaml(self.blueprint_folder / blueprint_path)
  File "/usr/src/homeassistant/homeassistant/util/yaml/loader.py", line 112, in load_yaml
    with open(fname, encoding="utf-8") as conf_file:
FileNotFoundError: [Errno 2] No such file or directory: '/config/blueprints/automation/Savjee/deconz-xiaomi-mijia-wireless-switch.yaml'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/automation/config.py", line 106, in _try_async_validate_config_item
    config = await async_validate_config_item(hass, config, full_config)
  File "/usr/src/homeassistant/homeassistant/components/automation/config.py", line 70, in async_validate_config_item
    return await blueprints.async_inputs_from_config(config)
  File "/usr/src/homeassistant/homeassistant/components/blueprint/models.py", line 298, in async_inputs_from_config
    blueprint = await self.async_get_blueprint(bp_conf[CONF_PATH])
  File "/usr/src/homeassistant/homeassistant/components/blueprint/models.py", line 276, in async_get_blueprint
    blueprint = await self.hass.async_add_executor_job(
  File "/usr/local/lib/python3.9/concurrent/futures/thread.py", line 52, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/blueprint/models.py", line 211, in _load_blueprint
    raise FailedToLoad(
homeassistant.components.blueprint.errors.FailedToLoad: Failed to load blueprint: Unable to find Savjee/deconz-xiaomi-mijia-wireless-switch.yaml

Check your automations.yaml file that contains that blueprint. Then delete that particular automation.

It is mentioned in the error logs-
Invalid config for [automation]: Failed to load blueprint: Unable to find Savjee/deconz-xiaomi-mijia-wireless-switch.yaml

2 Likes

Thanks! Worked! :ok_hand: